Raiffeisen bank integration API

OpenAPI

Raiffeisen bank Integration API documentation

Скачать исходную спецификацию

Варианты

  • Паблик

Операции API

POST /statements/xml/query — Receive a XML statement

This method is deprecated. Use the [new `/bank-statements/v1/reports/xml`](https://developer.raif.ru/docs/api/bank-statements/xml-request) instead.

{
  "tags": [
    "StatementsExportXML"
  ],
  "summary": "Receive a XML statement",
  "description": "This method is deprecated. Use the [new `/bank-statements/v1/reports/xml`](https://developer.raif.ru/docs/api/bank-statements/xml-request) instead.\n",
  "operationId": "StatementsExportXML",
  "parameters": [
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "required": true,
    "description": "XML generation parameters",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/StatementsExportXML"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Statement successfully received (Encoding UTF-8)",
      "headers": {
        "Content-Disposition": {
          "$ref": "#/components/headers/Content-Disposition"
        },
        "X-Rate-Limit-Limit": {
          "$ref": "#/components/headers/X-Rate-Limit-Limit"
        },
        "X-Rate-Limit-Remaining": {
          "$ref": "#/components/headers/X-Rate-Limit-Remaining"
        },
        "X-Rate-Limit-Reset": {
          "$ref": "#/components/headers/X-Rate-Limit-Reset"
        }
      },
      "content": {
        "application/xml": {
          "schema": {
            "$ref": "#/components/schemas/StatementExampleXML"
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "description": "No statements were found for the specified keys"
    },
    "429": {
      "$ref": "#/components/responses/RateLimit"
    }
  }
}

Схемы и примеры

{
  "headers": {
    "Content-Disposition": {
      "description": "Header with content type and file name",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    "X-Rate-Limit-Limit": {
      "description": "Number of requests per second",
      "schema": {
        "type": "integer"
      }
    },
    "X-Rate-Limit-Remaining": {
      "description": "Remaining number of requests",
      "schema": {
        "type": "integer"
      }
    },
    "X-Rate-Limit-Reset": {
      "description": "Time in milliseconds until the request counter resets",
      "schema": {
        "type": "integer"
      }
    }
  },
  "securitySchemes": {
    "bearerAuth": {
      "type": "http",
      "scheme": "bearer",
      "description": "Access Token",
      "bearerFormat": "JWT"
    }
  },
  "schemas": {
    "GatewayErrorResponse": {
      "type": "object",
      "required": [
        "http_status_code",
        "message"
      ],
      "properties": {
        "http_status_code": {
          "description": "HTTP status",
          "type": "integer"
        },
        "message": {
          "description": "Error",
          "type": "string"
        }
      }
    },
    "StatementExampleXML": {
      "xml": {
        "name": "Responce"
      },
      "type": "object",
      "properties": {
        "version": {
          "type": "string",
          "example": "1.1",
          "xml": {
            "attribute": true
          }
        },
        "requestId": {
          "type": "string",
          "example": "00000000-0000-0000-0000-000000000000",
          "xml": {
            "attribute": true
          }
        },
        "responseId": {
          "type": "string",
          "example": "00000000-0000-0000-0000-000000000000",
          "xml": {
            "attribute": true
          }
        },
        "createTime": {
          "type": "string",
          "example": "2019-03-18T18:31:59",
          "xml": {
            "attribute": true
          }
        },
        "StatementsRaif": {
          "type": "object",
          "properties": {
            "StatementRaif": {
              "type": "object",
              "properties": {
                "extId": {
                  "type": "string",
                  "example": "40702810000000000000:Z00000:20190315",
                  "xml": {
                    "attribute": true
                  }
                },
                "acc": {
                  "type": "string",
                  "example": "40702810000000000000",
                  "xml": {
                    "attribute": true
                  }
                },
                "bic": {
                  "type": "string",
                  "example": "044525700",
                  "xml": {
                    "attribute": true
                  }
                },
                "creditSum": {
                  "type": "string",
                  "example": "9557",
                  "xml": {
                    "attribute": true
                  }
                },
                "currCode": {
                  "type": "string",
                  "example": "810",
                  "xml": {
                    "attribute": true
                  }
                },
                "debetSum": {
                  "type": "string",
                  "example": "12497",
                  "xml": {
                    "attribute": true
                  }
                },
                "docDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "docTime": {
                  "type": "string",
                  "example": "00:00:00",
                  "xml": {
                    "attribute": true
                  }
                },
                "acceptDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "outBal": {
                  "type": "string",
                  "example": "5426",
                  "xml": {
                    "attribute": true
                  }
                },
                "stmtDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "stmtType": {
                  "type": "string",
                  "example": "1",
                  "xml": {
                    "attribute": true
                  }
                },
                "ldgBalance": {
                  "type": "string",
                  "example": "9550",
                  "xml": {
                    "attribute": true
                  }
                },
                "beginDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "endDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "lastMovetDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "lastStmtDate": {
                  "type": "string",
                  "example": "2019-03-15",
                  "xml": {
                    "attribute": true
                  }
                },
                "enterBal": {
                  "type": "string",
                  "example": "9415",
                  "xml": {
                    "attribute": true
                  }
                },
                "debetSumNat": {
                  "type": "string",
                  "example": "0",
                  "xml": {
                    "attribute": true
                  }
                },
                "creditSumNat": {
                  "type": "string",
                  "example": "0",
                  "xml": {
                    "attribute": true
                  }
                },
                "docNum": {
                  "type": "string",
                  "example": "60",
                  "xml": {
                    "attribute": true
                  }
                },
                "Docs": {
                  "type": "object",
                  "properties": {
                    "TransInfo": {
                      "type": "object",
                      "properties": {
                        "extId": {
                          "type": "string",
                          "example": "40702810000000000000:Z00000:20190315:160:0:1280.00:20190315PAON034730::3031312",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "avisType": {
                          "type": "string",
                          "example": "710",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "bank": {
                          "type": "string",
                          "example": "Московский филиал АО "Райффайзенбанк"",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiverBankName": {
                          "type": "string",
                          "example": "ПАО СБЕРБАНК, Г. МОСКВА",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "payerBankCorrAccount": {
                          "type": "string",
                          "example": "30101810200000000700",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiverBankCorrAccount": {
                          "type": "string",
                          "example": "30101810400000000225",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "corrAcc": {
                          "type": "string",
                          "example": "40702810822000000000",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "corrBIC": {
                          "type": "string",
                          "example": "044525225",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "payerCurrCode": {
                          "type": "string",
                          "example": "810",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiverCurrCode": {
                          "type": "string",
                          "example": "810",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "dc": {
                          "type": "string",
                          "example": "1",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "docDate": {
                          "type": "string",
                          "example": "2019-03-15",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "docNum": {
                          "type": "string",
                          "example": "95",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "docSum": {
                          "type": "string",
                          "example": "4969",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "docSumNat": {
                          "type": "string",
                          "example": "0",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "operDate": {
                          "type": "string",
                          "example": "2019-03-15",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "paymentOrder": {
                          "type": "string",
                          "example": "5",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "personalAcc": {
                          "type": "string",
                          "example": "40702810600000000000",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "personalINN": {
                          "type": "string",
                          "example": "7720000000",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiverINN": {
                          "type": "string",
                          "example": "342600000000",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "personalKPP": {
                          "type": "string",
                          "example": "772801001",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiptDate": {
                          "type": "string",
                          "example": "2019-03-15",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiverKPP": {
                          "type": "string",
                          "example": "780000000",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "transKind": {
                          "type": "string",
                          "example": "01",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "writeOffDate": {
                          "type": "string",
                          "example": "2019-03-15",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "comissionWrittenOff": {
                          "type": "string",
                          "example": "",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "PayAmt": {
                          "type": "string",
                          "example": "0",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "receiptName": {
                          "type": "string",
                          "example": "Индивидуальный предприниматель Тестовый Николай Степанович",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "senderCharges": {
                          "type": "string",
                          "example": "",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "currRate": {
                          "type": "string",
                          "example": "0",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "payerBankBic": {
                          "type": "string",
                          "example": "044525700",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "mtGVC": {
                          "type": "string",
                          "example": "020",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "mtTratCode": {
                          "type": "string",
                          "example": "NTRF",
                          "xml": {
                            "attribute": true
                          }
                        },
                        "PersonalName": {
                          "type": "string",
                          "example": "ООО Тестовая компания"
                        },
                        "Purpose": {
                          "type": "string",
                          "example": "Оплата за запасные части по счёту №94578912 от 01.06.2014г., включая НДС 18% - 704-70."
                        },
                        "DepartmentalInfo": {
                          "type": "string",
                          "example": ""
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "StatementsExportXML": {
      "description": "Request to download statements",
      "type": "object",
      "required": [
        "statementKey"
      ],
      "properties": {
        "statementKey": {
          "description": "List of statement keys that need to be exported",
          "type": "array",
          "items": {
            "description": "Statement key (format \"account number:cnum:date\")",
            "type": "string"
          },
          "example": [
            "40700000000001000000:Z00000:20211124",
            "40700010000000000000:Z00000:20211124"
          ]
        },
        "filename": {
          "description": "File name with the XML statement",
          "type": "string",
          "example": "example"
        },
        "sort": {
          "description": "Sorting",
          "type": "array",
          "items": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/SortDebet"
              },
              {
                "$ref": "#/components/schemas/SortCredit"
              }
            ]
          }
        }
      }
    },
    "SortDebet": {
      "description": "Sorting direction for outgoing (Debet) operations (true - descending, false - ascending)",
      "type": "object",
      "required": [
        "field",
        "desc"
      ],
      "properties": {
        "field": {
          "description": "Column name (debet)",
          "type": "string",
          "example": "debet"
        },
        "desc": {
          "description": "true - descending",
          "type": "boolean",
          "example": true
        }
      }
    },
    "SortCredit": {
      "description": "Sorting direction for incoming (Credit) operations (true - descending, false - ascending)",
      "type": "object",
      "required": [
        "field",
        "desc"
      ],
      "properties": {
        "field": {
          "description": "Column name (credit)",
          "type": "string",
          "example": "credit"
        },
        "desc": {
          "description": "false - ascending",
          "type": "boolean",
          "example": false
        }
      }
    }
  },
  "responses": {
    "Unauthorized": {
      "description": "Authorization failed"
    },
    "RateLimit": {
      "description": "The maximum number of requests is exceeded",
      "headers": {
        "X-Rate-Limit-Limit": {
          "description": "Number of requests per second",
          "schema": {
            "type": "integer"
          }
        },
        "X-Rate-Limit-Remaining": {
          "description": "Remaining number of requests",
          "schema": {
            "type": "integer"
          }
        },
        "X-Rate-Limit-Reset": {
          "description": "Time in milliseconds until the request counter resets",
          "schema": {
            "type": "integer"
          }
        }
      }
    },
    "BadRequest": {
      "description": "Bad request"
    }
  },
  "parameters": {
    "IdTokenHeader": {
      "name": "Id-Token",
      "in": "header",
      "description": "User ID token",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte"
      }
    }
  }
}